Last Comment Bug 625700 - Flexbox (display:box) ignores overflow:hidden and expands flexbox child when content is larger than child’s width
: Flexbox (display:box) ignores overflow:hidden and expands flexbox child when ...
Status: NEW
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 All
: -- normal with 9 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://oli.jp/bugs/mozilla/flexbox-ov...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-14 02:26 PST by Oli Studholme
Modified: 2015-05-12 06:29 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
more simple testcase (425 bytes, text/html)
2011-05-31 05:51 PDT, Lukas Stabe
no flags Details

Description Oli Studholme 2011-01-14 02:26:04 PST
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b8) Gecko/20100101 Firefox/4.0b8
Build Identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b8) Gecko/20100101 Firefox/4.0b8

Firefox also doesn’t respect overflow:hidden on box element children with content larger than the child’s declared width, such as pre content or a very long word

See 2nd example in http://oli.jp/bugs/mozilla/flexbox-overflow.html (“Widths of children smaller than content”)

Reproducible: Always

Actual Results:  
The first child box expands to display (almost) all of the unwrappable content. This also occurs for overflow values auto and scroll

Expected Results:  
The first child box should be the declared width, and overflow:hidden should clip the extra content.
Comment 1 Lukas Stabe 2011-05-31 05:51:26 PDT
Created attachment 536277 [details]
more simple testcase

Added a more simple testcase. The width is also expanded when overflow is set to scroll.
Also: Component should be "Layout: Block and Inline".
Comment 2 panosru 2011-07-01 11:02:00 PDT
I can confirm this bug, still exists (Firefox 5.0)
Comment 3 Zach Dennis 2012-05-31 07:01:40 PDT
I can confirm this bug still exists (Firefox 12.0). It also incorrectly handles the height as well.
Comment 4 Houssam Haidar 2012-11-08 18:43:37 PST
I can reproduce this on Firefox 16.0.2.
Comment 5 Oli Studholme 2012-11-08 19:10:48 PST
Just FYI this is regarding OLD Flexbox (display: box;), not NEW Flexbox (display: flex;), and the chances of it being fixed are probably not great. For more background:
https://bugzilla.mozilla.org/show_bug.cgi?id=625694
Comment 6 Eric Meyer 2013-03-02 17:25:33 PST
(In reply to Oli Studholme from comment #5)
> Just FYI this is regarding OLD Flexbox (display: box;), not NEW Flexbox
> (display: flex;), and the chances of it being fixed are probably not great.
> For more background:
> https://bugzilla.mozilla.org/show_bug.cgi?id=625694

This is actually still true on the Aurora and Nightly channels, where "display: flex;" is used.
Comment 7 Daniel Holbert [:dholbert] 2013-03-06 11:46:08 PST
(In reply to Eric Meyer from comment #6)
> This is actually still true on the Aurora and Nightly channels, where
> "display: flex;" is used.

bug 782441 actually tracks the analogous version of this issue for "display: flex".

(FWIW: up until recently, the flexbox spec actually required that "overflow:hidden" be disregarded on flex containers -- the overflow property is specified to only apply to "block containers", and the flexbox spec explicitly says that flex containers are *not* block containers.  However, the spec has been updated to have a caveat for this now, though.  See thread at http://lists.w3.org/Archives/Public/www-style/2013Jan/0465.html for more details.)
Comment 8 sjw 2013-11-16 07:09:11 PST
Bug 782441 is fixed and the new spec is implemented, so can we close this one?
Comment 9 Daniel Holbert [:dholbert] 2014-01-22 18:43:19 PST
(In reply to sjw from comment #8)
> Bug 782441 is fixed and the new spec is implemented, so can we close this
> one?

The existence of the new layout model does not mean we should automatically close out all bugs in the old model.

(However, it does mean we'll likely be deprecating -moz-box and recommending that folks use display:flex instead, which may mean this ends up WONTFIX eventually.)

Note You need to log in before you can comment on or make changes to this bug.